#include <stdio.h>
#include <stdlib.h>

#define MAX_UCASTNIKOV 50  // Maximálny počet účastníkov

int main() {
    int vysledky[MAX_UCASTNIKOV], pocetUcastnikov = 0, sucasneSkore;
    
    // Načítanie skóre účastníkov zo vstupu
    while (pocetUcastnikov < MAX_UCASTNIKOV && scanf("%d", &sucasneSkore) == 1) {
        if (sucasneSkore < 1) {
            break;  // Ukončiť načítanie
        }
        vysledky[pocetUcastnikov++] = sucasneSkore;  // ulozenie skore a zvýšiť počet účastníkov
    }
    
    // Ak neboli načítané žiadne platné hodnoty, vypíše chybovú správu
    if (pocetUcastnikov == 0) {
        printf("Chyba: Málo platných hodnôt.\n");
        return 1;
    }
    
    // Výpis výsledkov pre každého účastníka
    for (int i = 0; i < pocetUcastnikov; i++) {
        printf("Súťažiaci č. %d vypil %d pohárov.\n", i + 1, vysledky[i]);
    }
    
    // Nájdeme najväčšie skóre (počet pohárov, ktorý vypil súťažiaci)
    int najvacsieSkore = vysledky[0];
    for (int i = 1; i < pocetUcastnikov; i++) {
        if (vysledky[i] > najvacsieSkore) {
            najvacsieSkore = vysledky[i];  // Ak nájdeme väčšie skóre, aktualizujeme najväčšie
        }
    }
    
    // Výpis všetkých súťažiacich, ktorí majú najväčší počet vypitých pohárov
    for (int i = 0; i < pocetUcastnikov; i++) {
        if (vysledky[i] == najvacsieSkore) {
            printf("Výherca je súťažiaci %d ktorý vypil %d pohárov.\n", i + 1, vysledky[i]);
        }
    }
    
    return 0;
}

